package com.yd.rmi.ali.oss.vo;

import com.aliyun.oss.model.CannedAccessControlList;

import java.io.File;

public class OssRequestVO {
	private String operateType;//操作类型，详见OssOperateTypeEnum
	private String endpoint;//访问域名
	private String accessKeyId;//accessKeyId
	private String accessKeySecret;//accessKeySecret
	private String bucketName;//存储空间名
	private CannedAccessControlList cannedAccessControlList;//权限
	private String key;//对象名
	private File file;//文件
	private String prefix;//获取对象列表时的前缀
	private Long idBegin;//起始ID
	private Long idEnd;//终止ID
	
	/**
	 * 获取属性 operateType 操作类型，详见OssOperateTypeEnum
	 * @return operateType
	 */
	public String getOperateType(){
		return this.operateType;
	}

	/**
	 * 属性赋值 operateType 操作类型，详见OssOperateTypeEnum
	 * @param operateType
	 */
	public void setOperateType(String operateType){
		this.operateType = operateType;
	}

	/**
	 * 获取属性 endpoint 访问域名
	 * @return endpoint
	 */
	public String getEndpoint(){
		return this.endpoint;
	}

	/**
	 * 属性赋值 endpoint 访问域名
	 * @param endpoint
	 */
	public void setEndpoint(String endpoint){
		this.endpoint = endpoint;
	}

	/**
	 * 获取属性 accessKeyId accessKeyId
	 * @return accessKeyId
	 */
	public String getAccessKeyId(){
		return this.accessKeyId;
	}

	/**
	 * 属性赋值 accessKeyId accessKeyId
	 * @param accessKeyId
	 */
	public void setAccessKeyId(String accessKeyId){
		this.accessKeyId = accessKeyId;
	}

	/**
	 * 获取属性 accessKeySecret accessKeySecret
	 * @return accessKeySecret
	 */
	public String getAccessKeySecret(){
		return this.accessKeySecret;
	}

	/**
	 * 属性赋值 accessKeySecret accessKeySecret
	 * @param accessKeySecret
	 */
	public void setAccessKeySecret(String accessKeySecret){
		this.accessKeySecret = accessKeySecret;
	}

	/**
	 * 获取属性 bucketName 存储空间名
	 * @return bucketName
	 */
	public String getBucketName(){
		return this.bucketName;
	}

	/**
	 * 属性赋值 bucketName 存储空间名
	 * @param bucketName
	 */
	public void setBucketName(String bucketName){
		this.bucketName = bucketName;
	}

	/**
	 * 获取属性 cannedAccessControlList 权限
	 * @return cannedAccessControlList
	 */
	public CannedAccessControlList getCannedAccessControlList(){
		return this.cannedAccessControlList;
	}

	/**
	 * 属性赋值 cannedAccessControlList 权限
	 * @param cannedAccessControlList
	 */
	public void setCannedAccessControlList(CannedAccessControlList cannedAccessControlList){
		this.cannedAccessControlList = cannedAccessControlList;
	}

	/**
	 * 获取属性 key 对象名
	 * @return key
	 */
	public String getKey(){
		return this.key;
	}

	/**
	 * 属性赋值 key 对象名
	 * @param key
	 */
	public void setKey(String key){
		this.key = key;
	}

	/**
	 * 获取属性 file 文件
	 * @return file
	 */
	public File getFile(){
		return this.file;
	}

	/**
	 * 属性赋值 file 文件
	 * @param file
	 */
	public void setFile(File file){
		this.file = file;
	}

	/**
	 * 获取属性 prefix 获取对象列表时的前缀
	 * @return prefix
	 */
	public String getPrefix(){
		return this.prefix;
	}

	/**
	 * 属性赋值 prefix 获取对象列表时的前缀
	 * @param prefix
	 */
	public void setPrefix(String prefix){
		this.prefix = prefix;
	}

	/**
	 * 获取属性 idBegin 起始ID
	 * @return idBegin
	 */
	public Long getIdBegin(){
		return this.idBegin;
	}

	/**
	 * 属性赋值 idBegin 起始ID
	 * @param idBegin
	 */
	public void setIdBegin(Long idBegin){
		this.idBegin = idBegin;
	}

	/**
	 * 获取属性 idEnd 终止ID
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 属性赋值 idEnd 终止ID
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

}
